org.jbpm.process.instance.command

## Class UpdateTimerCommand

- java.lang.Object
- - org.jbpm.process.instance.command.UpdateTimerCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<Void>, org.kie.api.command.Command<Void>, org.kie.internal.command.ProcessInstanceIdCommand

      public class UpdateTimerCommand
      extends Object
      implements org.drools.core.command.impl.GenericCommand<Void>, org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateTimerCommand(long processInstanceId, String timerName, long delay)`
    `UpdateTimerCommand(long processInstanceId, String timerName, long period, int repeatLimit)`
    `UpdateTimerCommand(long processInstanceId, String timerName, long delay, long period, int repeatLimit)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.internal.command.Context context)`
    `Long` | `getProcessInstanceId()`
    `void` | `setProcessInstanceId(Long procInstId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateTimerCommand

          public UpdateTimerCommand(long processInstanceId,
                            String timerName,
                            long delay)

    - #### UpdateTimerCommand

          public UpdateTimerCommand(long processInstanceId,
                            String timerName,
                            long period,
                            int repeatLimit)

    - #### UpdateTimerCommand

          public UpdateTimerCommand(long processInstanceId,
                            String timerName,
                            long delay,
                            long period,
                            int repeatLimit)

  - ### Method Detail

    - #### execute

          public Void execute(org.kie.internal.command.Context context)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.GenericCommand<Void>`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long procInstId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.